> For the complete documentation index, see [llms.txt](https://docs.healthsherpa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/deeplinking-to-plan-quoting/parameters.md).

# Parameters

Below are the parameters you can use to build a URL for the shopping step. Additional tracking parameters are also available. Please refer to Tracking Parameters and HRA Parameters sections for more details.

## Key Parameters <a href="#minimum-requirements-to-deeplink" id="minimum-requirements-to-deeplink"></a>

Callouts of especially useful params.&#x20;

| Parameter                                         | Description                                                                                                                                                                        | Required                                                                                                                                                                                                                                |
| ------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| external\_id                                      | Pass your identifier of the applicant/household.                                                                                                                                   | <p>This value will then appear in</p><p>agency exports (manual and scheduled) and webhooks. </p>                                                                                                                                        |
| [user\_type](#minimum-requirements-to-deeplink-1) | `agent` - If set, and the user is not logged into HealthSherpa under your agency downline, they will be prompted to login before landing on the deeplinked page.                   | If omitted, defaults to the `consumer` deeplink flow and will not prompt user to login.                                                                                                                                                 |
| skip                                              | Skips applicant and household steps of plan wizard and lands directly on subsidy estimate.                                                                                         | Minimum required parameters must be passed. See [here](#minimum-requirements-to-deeplink-1).                                                                                                                                            |
| ljs                                               | Used to translate the flow into Spanish with parameter `es-MX`                                                                                                                     | Optional                                                                                                                                                                                                                                |
| \_agen&#x74;*\_*&#x69;d                           | <p>Pass the ID of your primary agency admin in HealthSherpa. <br><br>Passing the ID of the primary admin prevents you from logging and tracking every agent's HealthSherpa ID.</p> | This is only used to verify that the deeplinking agent is in your downline. Because you're passing user\_type=agent, it will require the agent to be logged in to proceed, and that will make sure things follow the typical AOR logic. |
| off\_ex                                           | <p><code>false</code> if the user wants to shop for subsidized plans. </p><p></p><p><code>TRUE</code> if the user is shopping for plans without a subsidy. </p>                    | Optional, but required for one-click quoting.                                                                                                                                                                                           |

## \`user\_type=agent\` Auth Scenarios <a href="#minimum-requirements-to-deeplink" id="minimum-requirements-to-deeplink"></a>

| Agent's HealthSherpa auth state when deeplink clicked | Description                                                                                                      | What Happens                                                                                                                                                                                                                      |
| ----------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Not logged in to HealthSherpa**                     | No active HealthSherpa session in the browser                                                                    | User is prompted to log in before landing on the deeplinked page. Once authenticated as an agent in the correct downline, the shopping flow loads with pre-filled parameters.                                                     |
| **Logged in to HealthSherpa — correct downline**      | Browser session belongs to an agent whose agency is in the allowlisted hierarchy for the `_agent_id` in the link | Session is accepted as-is. User lands directly on the pre-filled quoting flow. This is the happy path.                                                                                                                            |
| **Logged in to HealthSherpa — wrong downline**        | Browser session belongs to an agent whose agency is *not* associated with the `_agent_id` in the link            | The user is hits a forced logout and prompted re-login under the correct downline.                                                                                                                                                |
| **Logged in — consumer account**                      | Browser session belongs to a consumer account, not an agent                                                      | Consumers can access the deeplink endpoint but the session will not be tied to the agent in `_agent_id`. The link loads in consumer mode; Agent Of Record attribution will go to the agent whose `_agent_id` was in the deeplink. |

{% hint style="info" %}
**Note on authorization:** Access to the `/public/shop` deeplink endpoint in production is controlled by an agency-level allowlist. If the agency tied to `_agent_id` has not been approved for Agency Connect deeplinking in production, all states above will result in an error: *"You are not authorized to access this page. Please contact your account manager."*
{% endhint %}

## All Parameters <a href="#minimum-requirements-to-deeplink" id="minimum-requirements-to-deeplink"></a>

| Parameter         | Description                                                                                                                                                                                                                                                                                                                            | Required                                                                                                                                                                                                                                                  |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| \_agent\_id       | <p>The ID of your agent. This value is created by HealthSherpa when the agent account is created. <br><br>Ensure the agent id is correct to access the link. <br><br>Case sensitive. </p>                                                                                                                                              | Required                                                                                                                                                                                                                                                  |
| external\_id      | <p><span data-gb-custom-inline data-tag="emoji" data-code="23f9">⏹️</span> <strong>No PII should be used as part of this parameter.</strong> </p><p></p><p>Pass your identifier of the applicant/household. This value will then appear in</p><p>agency exports (manual and scheduled) and webhooks. </p><p>Character limit of 255</p> | Optional                                                                                                                                                                                                                                                  |
| user\_type        | <p><code>agent</code> - If set, and the user is not logged into HealthSherpa under your agency downline, they will be prompted to login before landing on the deeplinked page.</p><p><code>consumer</code> - User will not be prompted to login, and will land directly on the deeplinked page.</p>                                    | <p>If omitted, defaults to the <code>consumer</code> deeplink flow and will not prompt user to login.<br><br>Clients would use <code>consumer</code> when they're passing a consumer user to shop and enroll directly, without the help of an agent. </p> |
| year              | Plan year to shop for. Defaults to most recent                                                                                                                                                                                                                                                                                         | Optional                                                                                                                                                                                                                                                  |
| fip\_code         | Fip code of primary applicant                                                                                                                                                                                                                                                                                                          | Optional                                                                                                                                                                                                                                                  |
| zip\_code         | Zip code of primary applicant                                                                                                                                                                                                                                                                                                          | Optional                                                                                                                                                                                                                                                  |
| household\_income | Household income of primary applicant                                                                                                                                                                                                                                                                                                  | Optional                                                                                                                                                                                                                                                  |
| household\_size   | Household size of primary applicant                                                                                                                                                                                                                                                                                                    | Optional                                                                                                                                                                                                                                                  |
| people\[]         | Specify age and tobacco status on a per-person basis. Requires labeling roles in the household as well. See [People Parameters](/on-exchange-api-documentation/api-reference/deeplinking-to-plan-quoting/parameters/people-parameters.md) Section for more info                                                                        | Optional                                                                                                                                                                                                                                                  |
| call              | Used to set the phone number in the header to a marketing campaign-specific phone number                                                                                                                                                                                                                                               | Optional                                                                                                                                                                                                                                                  |
| skip              | Skips applicant and household steps of plan wizard.                                                                                                                                                                                                                                                                                    | Optional                                                                                                                                                                                                                                                  |
| ljs               | Used to translate the flow into Spanish with parameter `es-MX`                                                                                                                                                                                                                                                                         | Optional                                                                                                                                                                                                                                                  |
| off\_ex           | <p><code>false</code> if the user wants to shop for subsidized plans. </p><p></p><p><code>TRUE</code> if the user is shopping for plans without a subsidy. </p>                                                                                                                                                                        | Optional, but required for one-click quoting.                                                                                                                                                                                                             |

Notes on&#x20;

* The deeplink requires an `_agent_id`, but you don't need to track the ID for each of your users. You can pass the agency admin's NPN in all deeplinks for all downline agents.
* Are you redirecting agents or consumers?&#x20;
  * Be sure to pass the `user_type` parameter.&#x20;
  * Passing `user_type=agent` ensures that the user is logged into a HealthSherpa agent account under your HealthSherpa downline .&#x20;
  * If they're not logged in, they'll be prompted to authenticate.&#x20;
  * If they're logged into a HealthSherpa account that's not under your downline, they'll be logged out. They're then prompted to log in with their account associated with your downline.&#x20;
  * If they try to log in with an account associated with a different agency hierarchy, the login attempts will fail.&#x20;
  * This guarantees that the enrollment is associated with an agent account under your HealthSherpa downline.&#x20;
* Do you want to redirect your user as far along in the quoting process as possible?
  * If you do, you'll want to use the `skip` parameter.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/deeplinking-to-plan-quoting/parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
